## ros-one-moveit-planners 1.1.16-50jammy.20260128.2340

=== debian/changelog ===
ros-one-moveit-planners (1.1.16-50jammy.20260128.2340) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 23:40:41 +0000

ros-one-moveit-planners (1.1.16-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-planners (1.1.15-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-planners (1.1.14-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-planners (1.1.13-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-planners (1.1.12-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-planners (1.1.11-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-planners (1.1.10-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-planners (1.1.9-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-planners (1.1.8-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-planners (1.1.7-0jammy) jammy; urgency=high

  * Add pilz planner to ``moveit_planners`` dependency
  * Contributors: v4hn

 -- Dave Coleman <dave@picknik.ai>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-planners (1.1.6-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-planners (1.1.5-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-planners (1.1.4-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-planners (1.1.3-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-planners (1.1.2-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-planners (1.1.1-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-planners (1.1.0-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit-planners (1.0.6-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-moveit-planners (1.0.5-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 08 Jul 2020 00:00:00 -0000

ros-one-moveit-planners (1.0.4-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 30 May 2020 00:00:00 -0000

ros-one-moveit-planners (1.0.3-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 26 Apr 2020 00:00:00 -0000

ros-one-moveit-planners (1.0.2-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-moveit-planners (1.0.1-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 08 Mar 2019 00:00:00 -0000

ros-one-moveit-planners (1.0.0-0jammy) jammy; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sun, 24 Feb 2019 00:00:00 -0000

ros-one-moveit-planners (0.10.8-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 24 Dec 2018 00:00:00 -0000

ros-one-moveit-planners (0.10.7-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 13 Dec 2018 00:00:00 -0000

ros-one-moveit-planners (0.10.6-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 09 Dec 2018 00:00:00 -0000

ros-one-moveit-planners (0.10.5-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 01 Nov 2018 00:00:00 -0000

ros-one-moveit-planners (0.10.4-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 29 Oct 2018 00:00:00 -0000

ros-one-moveit-planners (0.10.3-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 29 Oct 2018 00:00:00 -0000

ros-one-moveit-planners (0.10.2-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 24 Oct 2018 00:00:00 -0000

ros-one-moveit-planners (0.10.1-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 25 May 2018 00:00:00 -0000

ros-one-moveit-planners (0.9.11-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 25 Dec 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.10-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 09 Dec 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.9-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 06 Aug 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.8-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 21 Jun 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.7-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 05 Jun 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.6-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 12 Apr 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.5-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 08 Mar 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.4-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 06 Feb 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.3-0jammy) jammy; urgency=high

  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon

 -- Dave Coleman <dave@picknik.ai>  Wed, 16 Nov 2016 00:00:00 -0000



## ros-one-moveit-planners 1.1.16-50noble.20260128.2358

=== debian/changelog ===
ros-one-moveit-planners (1.1.16-50noble.20260128.2358) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 23:58:40 +0000

ros-one-moveit-planners (1.1.16-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-planners (1.1.15-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-planners (1.1.14-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-planners (1.1.13-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-planners (1.1.12-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-planners (1.1.11-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-planners (1.1.10-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-planners (1.1.9-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-planners (1.1.8-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-planners (1.1.7-0noble) noble; urgency=high

  * Add pilz planner to ``moveit_planners`` dependency
  * Contributors: v4hn

 -- Dave Coleman <dave@picknik.ai>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-planners (1.1.6-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-planners (1.1.5-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-planners (1.1.4-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-planners (1.1.3-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-planners (1.1.2-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-planners (1.1.1-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-planners (1.1.0-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit-planners (1.0.6-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-moveit-planners (1.0.5-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 08 Jul 2020 00:00:00 -0000

ros-one-moveit-planners (1.0.4-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 30 May 2020 00:00:00 -0000

ros-one-moveit-planners (1.0.3-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 26 Apr 2020 00:00:00 -0000

ros-one-moveit-planners (1.0.2-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-moveit-planners (1.0.1-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 08 Mar 2019 00:00:00 -0000

ros-one-moveit-planners (1.0.0-0noble) noble; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sun, 24 Feb 2019 00:00:00 -0000

ros-one-moveit-planners (0.10.8-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 24 Dec 2018 00:00:00 -0000

ros-one-moveit-planners (0.10.7-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 13 Dec 2018 00:00:00 -0000

ros-one-moveit-planners (0.10.6-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 09 Dec 2018 00:00:00 -0000

ros-one-moveit-planners (0.10.5-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 01 Nov 2018 00:00:00 -0000

ros-one-moveit-planners (0.10.4-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 29 Oct 2018 00:00:00 -0000

ros-one-moveit-planners (0.10.3-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 29 Oct 2018 00:00:00 -0000

ros-one-moveit-planners (0.10.2-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 24 Oct 2018 00:00:00 -0000

ros-one-moveit-planners (0.10.1-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 25 May 2018 00:00:00 -0000

ros-one-moveit-planners (0.9.11-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 25 Dec 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.10-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 09 Dec 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.9-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 06 Aug 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.8-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 21 Jun 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.7-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 05 Jun 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.6-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 12 Apr 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.5-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 08 Mar 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.4-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 06 Feb 2017 00:00:00 -0000

ros-one-moveit-planners (0.9.3-0noble) noble; urgency=high

  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon

 -- Dave Coleman <dave@picknik.ai>  Wed, 16 Nov 2016 00:00:00 -0000



## ros-one-moveit-planners 1.1.16-51jammy.20260301.2341

=== debian/changelog ===
ros-one-moveit-planners (1.1.16-51jammy.20260301.2341) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Sun, 01 Mar 2026 23:41:33 +0000

## ros-one-moveit-planners 1.1.16-51noble.20260301.2333

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_planners)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-one-moveit-planners (1.1.16-51noble.20260301.2333) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Sun, 01 Mar 2026 23:33:08 +0000

=== debian/control ===
Source: ros-one-moveit-planners
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin
Homepage: http://moveit.ai
Standards-Version: 3.9.2

Package: ros-one-moveit-planners
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-chomp-motion-planner, ros-one-moveit-planners-chomp, ros-one-moveit-planners-ompl, ros-one-pilz-industrial-motion-planner
Description: Metapacakge that installs all available planners for MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-planners//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
